Skip to main content
GET
/
companies
/
{company_id}
Get company by ID
curl --request GET \
  --url https://api.getpg.ai/v1/companies/{company_id} \
  --header 'X-Api-Key: <api-key>'
{
  "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "company_name": "<string>",
  "website_domain": "<string>",
  "public_company": true,
  "country_code": "<string>",
  "linkedin_url": "<string>",
  "hq_city": "<string>",
  "hq_state": "<string>",
  "hq_address": "<string>",
  "hq_postcode": "<string>",
  "hq_country_name": "<string>",
  "region": "<string>",
  "ceo": "<string>",
  "sector": "<string>",
  "industry": "<string>",
  "revenue_range": "<string>",
  "employee_count_range": "<string>",
  "full_time_employees": 123,
  "alternative_domains": "<string>",
  "alternative_names": "<string>",
  "tags": "<string>",
  "description": "<string>",
  "stock_ticker": "<string>",
  "market_cap": 123,
  "stock_currency": "<string>",
  "stock_exchange_name": "<string>",
  "stock_exchange_symbol": "<string>"
}

Authorizations

X-Api-Key
string
header
required

Your API key for authentication. Get your API key from the PGAI dashboard.

Path Parameters

company_id
string
required

Company ID (UUID)

Response

Company found

Company information

company_id
string<uuid>
required
company_name
string
website_domain
string
public_company
boolean
country_code
string | null
linkedin_url
string | null
hq_city
string | null
hq_state
string | null
hq_address
string | null
hq_postcode
string | null
hq_country_name
string | null
region
string | null
ceo
string | null
sector
string | null
industry
string | null
revenue_range
string | null
employee_count_range
string | null
full_time_employees
integer | null
alternative_domains
string | null
alternative_names
string | null
tags
string | null
description
string | null
stock_ticker
string | null
market_cap
number | null
stock_currency
string | null
stock_exchange_name
string | null
stock_exchange_symbol
string | null